> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Journal Entry



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/alpha/general_ledger/journal_entry/update
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/general_ledger/journal_entry/update:
    post:
      tags:
        - journal_entry
        - quanta-services-api
      summary: Update Journal Entry
      operationId: edit_journal_entry
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/JournalEntryUpdateRequest'
                - $ref: '#/components/schemas/InPlaceJournalEntryUpdateRequest'
              title: Request
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EditJournalEntryResponse'
                  - $ref: '#/components/schemas/InPlaceJournalEntryUpdateResponse'
                title: Response Edit Journal Entry
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    JournalEntryUpdateRequest:
      properties:
        source_qid:
          type: string
          title: Source Qid
        txn_date:
          type: string
          format: date
          title: Txn Date
        allow_all_dates:
          type: boolean
          title: Allow All Dates
          default: false
        in_place_update:
          type: boolean
          const: false
          title: In Place Update
          default: false
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
        proposal:
          anyOf:
            - $ref: '#/components/schemas/EditJournalEntryProposal'
            - type: 'null'
        lines:
          items:
            $ref: '#/components/schemas/EditJournalEntryLineRequest-Input'
          type: array
          minItems: 2
          title: Lines
        expected_before_lines:
          anyOf:
            - items:
                $ref: '#/components/schemas/ExpectedJournalEntryLineRequest-Input'
              type: array
            - type: 'null'
          title: Expected Before Lines
      type: object
      required:
        - source_qid
        - txn_date
        - lines
      title: JournalEntryUpdateRequest
    InPlaceJournalEntryUpdateRequest:
      properties:
        source_qid:
          type: string
          title: Source Qid
        txn_date:
          type: string
          format: date
          title: Txn Date
        allow_all_dates:
          type: boolean
          title: Allow All Dates
          default: false
        in_place_update:
          type: boolean
          const: true
          title: In Place Update
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        lines:
          items:
            $ref: '#/components/schemas/InPlaceJournalEntryLineRequest'
          type: array
          minItems: 2
          title: Lines
        balance_account_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance Account Qid
        reversal_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Reversal Date
      type: object
      required:
        - source_qid
        - txn_date
        - in_place_update
        - lines
      title: InPlaceJournalEntryUpdateRequest
    EditJournalEntryResponse:
      properties:
        message:
          type: string
          title: Message
        journal_entry_qid:
          type: string
          title: Journal Entry Qid
        edit_journal_entry_qid:
          type: string
          title: Edit Journal Entry Qid
        edit_source_qid:
          type: string
          title: Edit Source Qid
      type: object
      required:
        - message
        - journal_entry_qid
        - edit_journal_entry_qid
        - edit_source_qid
      title: EditJournalEntryResponse
    InPlaceJournalEntryUpdateResponse:
      properties:
        message:
          type: string
          title: Message
        journal_entry_qid:
          type: string
          title: Journal Entry Qid
      type: object
      required:
        - message
        - journal_entry_qid
      title: InPlaceJournalEntryUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EditJournalEntryProposal:
      properties:
        source:
          oneOf:
            - $ref: '#/components/schemas/CloseReviewRunSourceRef'
            - $ref: '#/components/schemas/WorkTurnSourceRef'
          title: Source
          discriminator:
            propertyName: type
            mapping:
              close_review_run: '#/components/schemas/CloseReviewRunSourceRef'
              work_turn: '#/components/schemas/WorkTurnSourceRef'
        source_package_fingerprint:
          type: string
          minLength: 1
          title: Source Package Fingerprint
        client_request_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Client Request Id
      type: object
      required:
        - source
        - source_package_fingerprint
      title: EditJournalEntryProposal
    EditJournalEntryLineRequest-Input:
      properties:
        account_id:
          type: string
          title: Account Id
        amount:
          type: string
          title: Amount
        description:
          type: string
          title: Description
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_trait_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Trait Qid
        customer_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Qid
        product_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Qid
        edited_line_qid:
          type: string
          minLength: 1
          title: Edited Line Qid
      type: object
      required:
        - account_id
        - amount
        - description
        - edited_line_qid
      title: EditJournalEntryLineRequest
    ExpectedJournalEntryLineRequest-Input:
      properties:
        line_qid:
          type: string
          minLength: 1
          title: Line Qid
        account_qid:
          type: string
          title: Account Qid
        amount:
          type: string
          title: Amount
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_trait_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Trait Qid
        customer_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Qid
        product_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Qid
        booking_item_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Booking Item Qid
      type: object
      required:
        - line_qid
        - account_qid
        - amount
        - description
      title: ExpectedJournalEntryLineRequest
    InPlaceJournalEntryLineRequest:
      properties:
        account_id:
          type: string
          title: Account Id
        amount:
          type: string
          title: Amount
        description:
          type: string
          title: Description
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_trait_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Trait Qid
        customer_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Qid
        product_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Qid
        edited_line_qid:
          type: 'null'
          title: Edited Line Qid
      type: object
      required:
        - account_id
        - amount
        - description
      title: InPlaceJournalEntryLineRequest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CloseReviewRunSourceRef:
      properties:
        type:
          type: string
          const: close_review_run
          title: Type
        run_qid:
          type: string
          title: Run Qid
        decision_key:
          type: string
          title: Decision Key
        choice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Choice Id
      additionalProperties: false
      type: object
      required:
        - type
        - run_qid
        - decision_key
      title: CloseReviewRunSourceRef
    WorkTurnSourceRef:
      properties:
        type:
          type: string
          const: work_turn
          title: Type
        execution_artifact_qid:
          type: string
          title: Execution Artifact Qid
        decision_key:
          type: string
          title: Decision Key
        choice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Choice Id
      additionalProperties: false
      type: object
      required:
        - type
        - execution_artifact_qid
        - decision_key
      title: WorkTurnSourceRef
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.